Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04655 Graphics Major Always Jan 31, 2012, 20:09 Feb 6, 2012, 23:09
Tester Scagazza View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS Windows XP (64-bit)
Status [?] Resolved Driver stv.cpp
Version 0.144u7 Fixed in Version 0.145u1 Build 64-bit
Summary 04655: All sets in stv.c: Graphic corruption
Description In many games in the driver, there are observed graphics issues:

rsgun graphic corruption in stage 1
cottombm graphic corruption in first level boss
cotton2 graphic corruption in first level boss
Steps To Reproduce
Additional Information
Flags
Regression Version 0.144u6
Affected Sets / Systems All sets in stv.c
Attached Files
png file icon 0001.png (8,990 bytes) Jan 31, 2012, 20:09 Uploaded by Scagazza
Scagazza
png file icon cottonbm.png (16,687 bytes) Feb 1, 2012, 20:31 Uploaded by Scagazza
Scagazza
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.08121
Haze
Senior Tester
Jan 31, 2012, 23:01
edited on: Jan 31, 2012, 23:01
I'd guess Aaron's dropping of 15-bit colour mode is responsible? or did it break before then? The other problems make me wonder if the 2nd SH2 hasn't just died or something.

User avatar
No.08128
Tafoid
Administrator
Feb 1, 2012, 17:01
edited on: Feb 7, 2013, 17:27
Regressions as follows:
r15011 (Bitmap related changes) = causing crash for all sets in stv.c
r15034 Crash fixed, but graphic problem is evident.

User avatar
No.08150
Scagazza
Tester
Feb 6, 2012, 10:33
There still problem in 0.145
rsgun graphic corruption in stage 1
cottombm graphic corruption in first level boss
cotton2 graphic corruption in first level boss
User avatar
No.08151
hap
Developer
Feb 6, 2012, 16:22
yes, caused by r15011 (bitmap 5bpp to 8bpp)